/* E:\atomilabSite\styles.css */



#filterInput {
    display: block;  /* Adiciona display block */
    padding: 8px;
    margin: 10px left; /* Centraliza horizontalmente e mantém a margem superior */
    width: 500px; /* Ou a largura que preferir */
}

/* Styles for the table */
#filterTable #cartTable {
    border-collapse: collapse;
    margin: auto; /* Centraliza a tabela na página */
    max-width: 98%; /* Define a largura máxima como 90% */

}

#filterTable td:first-child,
#filterTable th:first-child {
    white-space: normal; /* Permite a quebra de linha */
}

#filterTable thead th, #cartTable thead th {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: center; /* Centraliza todo o texto no cabeçalho */
    background-color: #acacac; /* Define a cor de fundo para escuro */
    color: rgb(0, 0, 0); /* Define a cor do texto para branco */
}

#filterTable th, #filterTable td, #cartTable th, #cartTable td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left; /* Alinhamento à esquerda para todas as células, exceto a última coluna */
}

#cartTable tfoot td {
    font-weight: bold;
    background-color: #acacac; /* Define a cor de fundo para escuro */
    color: rgb(0, 0, 0); /* Define a cor do texto para branco */
}

.cart-container {

    top: 0;
    background: white;
    z-index: 10;
    padding-bottom: 1em;
    overflow-y: auto; /* Adiciona rolagem vertical se necessário */
    max-height: 100vh; /* Altura máxima baseada na altura da tela */
}

.scrollable-table {
    overflow-y: auto;
    max-height: 50%; /* Ajusta a altura máxima da tabela de produtos */
}

#filterTable {
    display: block;
    max-height: 50%; /* Ajusta a altura máxima com base na altura do carrinho de compras e outros elementos */
    overflow-y: auto;
}

/* Adicione esta classe no seu arquivo CSS */
.red-text {
    color: red;
  }

  
#filterTable th:nth-child(4),
#filterTable td:nth-child(4) {
    display: none;
}

#cartTable th:nth-child(4),
#cartTable td:nth-child(4) {
    display: none;
}


